Bug 1116534 - [abrt] libreoffice-core: intrusive_ptr(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: intrusive_ptr(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b3d9ad9629228a2c1576cc8e693...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-05 22:16 UTC by LarryO
Modified: 2015-01-26 02:38 UTC (History)
8 users (show)

Fixed In Version: libreoffice-4.2.8.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 02:38:19 UTC


Attachments (Terms of Use)
File: backtrace (64.18 KB, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: cgroup (173 bytes, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: core_backtrace (24.84 KB, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: dso_list (28.88 KB, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: environ (2.23 KB, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: maps (133.82 KB, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: open_fds (796 bytes, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details
File: var_log_messages (377 bytes, text/plain)
2014-07-05 22:17 UTC, LarryO
no flags Details

Description LarryO 2014-07-05 22:16:56 UTC
Description of problem:
I was pasting text copied from a text editor and inadvertently selected multiple cells for the destination.

Version-Release number of selected component:
libreoffice-core-4.2.5.2-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: intrusive_ptr
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 intrusive_ptr at /usr/include/boost/smart_ptr/intrusive_ptr.hpp:90
 #1 ScFormulaCell::GetCellGroup at /usr/src/debug/libreoffice-4.2.5.2/sc/source/core/data/formulacell.cxx:3553
 #2 operator() at /usr/src/debug/libreoffice-4.2.5.2/sc/source/core/data/column3.cxx:2962
 #3 for_each<mdds::__mtv::iterator_base<mdds::multi_type_vector<mdds::mtv::custom_block_func3<mdds::mtv::default_element_block<52, svl::SharedString>, mdds::mtv::noncopyable_managed_element_block<53, EditTextObject>, mdds::mtv::noncopyable_managed_element_block<54, ScFormulaCell> > >::iterator_trait, mdds::__mtv::private_data_forward_update<mdds::__mtv::iterator_value_node<unsigned long, mdds::mtv::base_element_block> > >, (anonymous namespace)::GroupFormulaCells> at /usr/include/c++/4.8.2/bits/stl_algo.h:4417
 #4 ScColumn::RegroupFormulaCells at /usr/src/debug/libreoffice-4.2.5.2/sc/source/core/data/column3.cxx:3042
 #5 ScDocumentImport::initColumn at /usr/src/debug/libreoffice-4.2.5.2/sc/source/core/data/documentimport.cxx:505
 #6 ScDocumentImport::finalize at /usr/src/debug/libreoffice-4.2.5.2/sc/source/core/data/documentimport.cxx:496
 #7 ScImportExport::ExtText2Doc at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/docshell/impex.cxx:1486
 #8 ScImportExport::ImportStream at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/docshell/impex.cxx:382
 #9 ScImportExport::ImportString at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/docshell/impex.cxx:300

Comment 1 LarryO 2014-07-05 22:17:00 UTC
Created attachment 914871 [details]
File: backtrace

Comment 2 LarryO 2014-07-05 22:17:02 UTC
Created attachment 914872 [details]
File: cgroup

Comment 3 LarryO 2014-07-05 22:17:04 UTC
Created attachment 914873 [details]
File: core_backtrace

Comment 4 LarryO 2014-07-05 22:17:06 UTC
Created attachment 914874 [details]
File: dso_list

Comment 5 LarryO 2014-07-05 22:17:07 UTC
Created attachment 914875 [details]
File: environ

Comment 6 LarryO 2014-07-05 22:17:09 UTC
Created attachment 914876 [details]
File: exploitable

Comment 7 LarryO 2014-07-05 22:17:12 UTC
Created attachment 914877 [details]
File: limits

Comment 8 LarryO 2014-07-05 22:17:13 UTC
Created attachment 914878 [details]
File: maps

Comment 9 LarryO 2014-07-05 22:17:15 UTC
Created attachment 914879 [details]
File: open_fds

Comment 10 LarryO 2014-07-05 22:17:17 UTC
Created attachment 914880 [details]
File: proc_pid_status

Comment 11 LarryO 2014-07-05 22:17:18 UTC
Created attachment 914881 [details]
File: var_log_messages

Comment 12 David Tardon 2014-07-07 08:19:43 UTC
Can you reproduce the crash, either in the same spreadsheet or in a new spreadsheet?

Comment 13 Ales Zelinka 2014-12-01 15:04:36 UTC
Reopening because I can reproduce (ABRT thinks so, it pointed me to this bug):

1) open empty spreadsheet
2) paste this comma separated to A1 (filling 2 lines and 3 columns):

1,2,=A1+B1
3,4,=A2+B2


3) copy this to clipboard:

5,6
7,8

4) make 4 cell selection in the spreadsheet: start at B2 and drag to A1 (important to drag from bottom up, right to left!)

5) ctrl-v to paste clipboard, "text import" windows pops up, select comma separator.

6) confirm import


Expected results: 

5,6,11
7,8,15


Actual Result:
segfault


Additional info: 
Dragging the selection (step #4) from top to bottom (or left to right) breaks the reproducer.

$ rpm -qf `which oocalc`
libreoffice-calc-4.2.7.2-9.fc20.x86_64

Comment 14 David Tardon 2014-12-09 09:27:56 UTC
> 5) ctrl-v to paste clipboard, "text import" windows pops up, select comma
> separator.

It does not. Do you have any extension installed?

Comment 15 Ales Zelinka 2014-12-09 16:11:08 UTC
(In reply to David Tardon from comment #14)
> > 5) ctrl-v to paste clipboard, "text import" windows pops up, select comma
> > separator.
> 
> It does not. Do you have any extension installed?

No extensions installed.

The reproducer is very sensitive to the content of the clipboard. For example copying from this bugzilla commetn doesn't work - when pasted to oocalc, a different window poped up (Import Options).

What works is copying from terminal i.e. this:

$ echo -e "5,6\n7,8"
5,6
7,8
$ #now put those 2 lines to the clipboard, its content has to look like this:
$ xclip -selection clipboard -o
5,6
7,8
$


PS: Creating the initial spreadsheet from step #1  by copy-pasting from this bugzilla comment doesn't work either. Instead please just input the 3x2 cells by hand.

Comment 16 Fedora Update System 2015-01-16 11:33:29 UTC
libreoffice-4.2.8.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.8.2-2.fc20

Comment 17 Fedora Update System 2015-01-17 05:47:24 UTC
Package libreoffice-4.2.8.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.8.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0818/libreoffice-4.2.8.2-2.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-01-26 02:38:19 UTC
libreoffice-4.2.8.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.